/*
 *  material.cpp
 *
 *  Author : Ahmed Obied (ahmed.obied@gmail.com)
 *
 */

#include "material.h"

Material::Material()
{
}

void Material::setAmbient(Color amb)
{
  ambient = amb;
}

void Material::setDiffuse(Color dif)
{
  diffuse = dif;
}

void Material::setSpecular(Color spec)
{
  specular = spec;
}

void Material::setReflection(double ref)
{
  reflection = ref;
}

double Material::getReflection()
{
  return reflection;
}

void Material::setTransmission(double trans)
{
  transmission = trans;
}

void Material::setShininess(int shin)
{
  shininess = shin;
}

